/**
 * Accessor for the window ID.
 *
 * \returns The Application's window ID.
 */
inline int Application::getWindowID() const
{
	return(windowID);
}

/**
 * Accessor for the X position of the window.
 *
 * \returns The X position of the window
 */
inline int Application::getXPosition() const
{
	return(xPosition);
}

/**
 * Accessor for the Y position of the window.
 *
 * \returns The Y position of the window
 */
inline int Application::getYPosition() const
{
	return(yPosition);
}

/**
 * Accessor for the width of the window.
 *
 * \returns The width of the window.
 */
inline int Application::getWidth() const
{
	return(width);
}

/**
 * Accessor for the height of the window.
 *
 * \returns The height of the window.
 */
inline int Application::getHeight() const
{
	return(height);
}

/**
 * Accessor for the title of the window.
 *
 * \returns The title of the window.
 */
inline const char* Application::getWindowTitle() const
{
	return(windowTitle);
}

/**
 * Sets the window ID of the application.
 *
 * \param windowID_ The window ID for the application.
 */
inline void Application::setWindowID(int windowID_)
{
	windowID = windowID_;
}
